org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardEditorLayout<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorLayout<T>

Type Parameters:
  `T` -

    public class HierarchyWizardEditorLayout<T>
    extends java.lang.Object

Layouts the tree shown in the wizard.

Author:
  Fabian Prasser

### Field Summary

Fields
`static int` `PRETTY_THRESHOLD` Constant.

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardEditorLayout(HierarchyWizardModelGrouping<T> model)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isPretty()` Is the layout pretty.
`int[]` `layout()` Computes the cardinalities of the optimal number of elements per hierarchy level.
`void` `setPretty(boolean pretty)` Sets the pretty mode.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PRETTY_THRESHOLD

    public static final int PRETTY_THRESHOLD

Constant.

See Also:
  Constant Field Values

### Constructor Detail

#### HierarchyWizardEditorLayout

    public HierarchyWizardEditorLayout(HierarchyWizardModelGrouping<T> model)

Creates a new instance.

Parameters:
  `model` -

### Method Detail

#### isPretty

    public boolean isPretty()

Is the layout pretty.

Returns:

#### layout

    public int[] layout()

Computes the cardinalities of the optimal number of elements per hierarchy level.

Returns:

#### setPretty

    public void setPretty(boolean pretty)

Sets the pretty mode.

Parameters:
  `pretty` -